%global dlrn_nvr tripleo-ipa-0.3.1.dev2-1.20230519134013.d172570
%global dlrn 1
%define upstream_version 0.3.1.dev2
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x2426b928085a020d8a90d0d879ab7008d0896c8a

%global srcname tripleo_ipa
%global rolename tripleo-ipa

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           ansible-%{rolename}
Version: 0.3.1
Release: 1.20230519134015%{?dist}
Summary:        Ansible assets for interacting with FreeIPA on behalf of TripleO

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://opendev.org/x/tripleo-ipa/
Source0: tripleo-ipa-0.3.1.dev2-1.20230519134013.d172570.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=d1725708946163d373c04a47decba71230fb6115
Patch0001: 0001-Explicitly-naming-variable-to-eliminate-possible-col.patch
Patch0002: 0002-Add-python-module-to-add-services-in-batch.patch
Patch0003: 0003-Batch-the-creation-of-dns-entries.patch
Patch0004: 0004-Fix-a-regression-in-creating-PTR-records.patch
Patch0005: 0005-Add-DNS-record-module.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.opendev.org/x/%{rolename}/%{rolename}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif
BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr

Requires: ansible-freeipa
Requires: krb5-workstation
Requires: openssl-perl
Requires: python3-ipaclient
Requires: python3-ipalib
Requires: python3-urllib-gssapi
Requires: python3-six
Requires: python3-netaddr
Requires: python3-PyYAML


%description

Ansible assets for interacting with FreeIPA on behalf of TripleO

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{py3_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{py3_install}


%files
%doc README*
%license LICENSE
%{python3_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/


%changelog
* Tue Jun 27 2023 Miguel Garcia <mgarciac@redhat.com> 0.3.1-1.20230519134015
- Add DNS record module (rhbz#2215623)

* Tue Jun 20 2023 Lon Hohberger <lhh@redhat.com> 0.3.1-1.20230519134014
- Fix a regression in creating PTR records (rhbz#2211380)

* Fri May 19 2023 OSP Prod Chain <dev-null@redhat.com> 0.2.3-1.20230519134013.d172570
- Batch the creation of dns entries (rhbz#2172534)
- Add python module to add services in batch (rhbz#2172534)
- Explicitly naming variable to eliminate possible collision (rhbz#2172534)

* Wed May 17 2023 OSP Prod Chain <dev-null@redhat.com> 0.3.1-1.20230518023954.d172570
- Update patches
- Set molecule job to non-voting

* Thu Apr 20 2023 OSP Prod Chain <dev-null@redhat.com> 0.3.1-1.20230420183957.1b4170e
- Update patches
- Update to new quay.io images

* Thu Aug 25 2022 OSP Prod Chain <dev-null@redhat.com> 0.2.3-1.20220825215029.1c47cb9
- Update patches
- Use system installed ansible-freeipa instead of collections
- Stop using latest community.general from git
- Fix triple_ipa_setup typo
- Move linters to a separate job
- Replacing community.general ipa modules with ansible-freeipa
- Add_ipa_user.yml: Adds logical to concatenate services with role
- Collect IPA Server logs
- Update python testing as per wallaby cycle testing runtime

* Tue Aug 02 2022 OSP Prod Chain <dev-null@redhat.com> 0.2.3-1.20220802090631.52eab7d
- Update patches
- Fix .gitreview for stable/wallaby

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 0.2.3-1.20220728183824.bb7bb94
- Update patches
- Migrate to centos-9-stream to fix CI errors
- Correct the tox option for skipping sdist generation
- Use podman for testing with molecule

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 0.2.3-1.20220727133414.6b0ed82
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 0.2.3-1.20220714114613.6b0ed82
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 0.2.3-1.20220713075049.6b0ed82
- Update patches

* Tue Mar 01 2022 OSP Prod Chain <dev-null@redhat.com> 0.2.3-0.20220301182436.6b0ed82
- Update patches
- Adds tripleo-standalone-multinode-ipa-pipeline to templates

* Wed Nov 10 2021 OSP Prod Chain <dev-null@redhat.com> 0.2.3-0.20211110181908.a05078d
- Update patches
- Use allovercloud ansible group

* Wed Nov 03 2021 OSP Prod Chain <dev-null@redhat.com> 0.2.3-0.20211103184455.04944c4
- Update patches
- Fix role issues for Ansible 2.11

* Wed Oct 06 2021 OSP Prod Chain <dev-null@redhat.com> 0.2.3-0.20211006201837.63d70bb
- Update patches
- Don't use upper-constraints with molecule

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 0.2.2-0.20210528111033.9159108
- Update patches

* Fri May 14 2021 OSP Prod Chain <dev-null@redhat.com> 0.2.2-0.20210514191813.9159108
- Update patches

* Sat Apr 24 2021 OSP Prod Chain <dev-null@redhat.com> 0.2.2-0.20210424192708.9159108
- Update patches
- Use value in default.conf instead of ansible_fqdn
- fix in case of expired kerberos ticket

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Skip entries not in cloud_domain

* Mon Mar 22 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix lint and molecule jobs after release of cryptography3.4


